#include <bits/stdc++.h>
using namespace std;
int n,k;
int a[1000000],b[1000000],i=1;
int freq[1000000];
string s;
int d=0,dem=0;
int main()
{
    freopen("CAU1_17..inp","r",stdin);
    freopen("CAU1_17..out","w",stdout);
    cin>>n>>k;
    while (i<=n+1)
    {
        for (int j=1;j<=n/i;j++)
        {
            freq[i*j]++;
        }
        i++;
    }
    for (int i=0;i<=n;i++)
    {
        if (freq[i]==k)
        {
            d++;
        }
    }
    cout<<d;
}
